Bug 1768489 - shutter crashes on startup
Summary: shutter crashes on startup
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: shutter
Version: 31
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Liang Suilong
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-11-04 14:58 UTC by Eduard Vopicka
Modified: 2019-12-11 02:06 UTC (History)
3 users (show)

Fixed In Version: shutter-0.94.3-1.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-12-11 02:06:10 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Eduard Vopicka 2019-11-04 14:58:57 UTC
Description of problem:
shutter crashes on startup.
[vopicka@czlx-vopicka tmp]$ shutter
"glob" is not exported by the File::Glob module
Can't continue after import errors at /usr/bin/shutter line 57.
BEGIN failed--compilation aborted at /usr/bin/shutter line 57.
[vopicka@czlx-vopicka tmp]$ 



Version-Release number of selected component (if applicable):
[vopicka@czlx-vopicka tmp]$ rpm -q shutter
shutter-0.93.1-14.fc31.noarch
[vopicka@czlx-vopicka tmp]$ 


How reproducible:
Always. Just try to start shuter form command line.


Steps to Reproduce:
1. Install shutter-0.93.1-14.fc31.noarch on otherwise up-to-date Fedore 31
2. Run shutter from command line as shown above in the problem description.

Actual results:
glob" is not exported by the File::Glob module
Can't continue after import errors at /usr/bin/shutter line 57.
BEGIN failed--compilation aborted at /usr/bin/shutter line 57.

Expected results:
No crash.


Additional info:
I have created shutter-0.94.3-0.fc31.noarch.rpm (.rpm of the current shutter version) and it does not exhibit this problem.

Maybe also the URL of the project should be fixed, http://shutter-project.org
produces "502 Bad Gateway" error and I had to download from https://launchpad.net/shutter/+download

Comment 1 Fedora Update System 2019-12-09 14:27:58 UTC
FEDORA-2019-973addd47d has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-973addd47d

Comment 2 Fedora Update System 2019-12-10 18:47:14 UTC
shutter-0.94.3-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-973addd47d

Comment 3 Fedora Update System 2019-12-11 02:06:10 UTC
shutter-0.94.3-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.